%define sounds_dir %{_datadir}/asterisk/sounds

Name:           asterisk-sounds-extra
Version:        1.4.7
Release:        1%{?dist}
Summary:        Extra sound files for Asterisk

Group:          Applications/Internet

# See: http://lists.digium.com/pipermail/asterisk-dev/2006-October/024096.html
# and: http://lists.digium.com/pipermail/asterisk-dev/2006-October/024113.html
License:        Distributable
URL:            http://www.asterisk.org/

Source0:	http://ftp.digium.com/pub/telephony/sounds/releases/asterisk-extra-sounds-en-alaw-%{version}.tar.gz
Source1:	http://ftp.digium.com/pub/telephony/sounds/releases/asterisk-extra-sounds-en-g722-%{version}.tar.gz
Source2:	http://ftp.digium.com/pub/telephony/sounds/releases/asterisk-extra-sounds-en-g729-%{version}.tar.gz
Source3:	http://ftp.digium.com/pub/telephony/sounds/releases/asterisk-extra-sounds-en-gsm-%{version}.tar.gz
Source4:	http://ftp.digium.com/pub/telephony/sounds/releases/asterisk-extra-sounds-en-ulaw-%{version}.tar.gz
Source5:	http://ftp.digium.com/pub/telephony/sounds/releases/asterisk-extra-sounds-en-wav-%{version}.tar.gz

BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:      noarch

%description
Extra sound files for Asterisk.

%package en
Summary: Extra English sound files for Asterisk
Group: Applications/Internet
Requires: asterisk >= 1.4.0

%description en
Extra English sound files for Asterisk.

%package en-alaw
Summary: Extra English ALAW sound files for Asterisk
Group: Applications/Internet
Requires: asterisk >= 1.4.0
Requires: asterisk-sounds-extra-en = %{version}-%{release}
Provides: asterisk-sounds-extra = %{version}-%{release}

%description en-alaw
Extra English ALAW sound files for Asterisk.

%package en-g722
Summary: Extra English G.722 sound files for Asterisk
Group: Applications/Internet
Requires: asterisk >= 1.4.0
Requires: asterisk-sounds-extra-en = %{version}-%{release}
Provides: asterisk-sounds-extra = %{version}-%{release}

%description en-g722
Extra English G.722 sound files for Asterisk.

%package en-g729
Summary: Extra English G.729 sound files for Asterisk
Group: Applications/Internet
Requires: asterisk >= 1.4.0
Requires: asterisk-sounds-extra-en = %{version}-%{release}
Provides: asterisk-sounds-extra = %{version}-%{release}

%description en-g729
Extra English G.729 sound files for Asterisk.

%package en-gsm
Summary: Extra English GSM sound files for Asterisk
Group: Applications/Internet
Requires: asterisk >= 1.4.0
Requires: asterisk-sounds-extra-en = %{version}-%{release}
Provides: asterisk-sounds-extra = %{version}-%{release}

%description en-gsm
Extra English GSM sound files for Asterisk.

%package en-ulaw
Summary: Extra English ULAW sound files for Asterisk
Group: Applications/Internet
Requires: asterisk >= 1.4.0
Requires: asterisk-sounds-extra-en = %{version}-%{release}
Provides: asterisk-sounds-extra = %{version}-%{release}

%description en-ulaw
Extra English ULAW sound files for Asterisk.

%package en-wav
Summary: Extra English WAV sound files for Asterisk
Group: Applications/Internet
Requires: asterisk >= 1.4.0
Requires: asterisk-sounds-extra-en = %{version}-%{release}
Provides: asterisk-sounds-extra = %{version}-%{release}

%description en-wav
Extra English WAV sound files for Asterisk.

%prep

%setup -c -T

%build

%install
rm -rf %{buildroot}

mkdir -p %{buildroot}%{sounds_dir}

for file in %{S:0} %{S:1} %{S:2} %{S:3} %{S:4} %{S:5}
do
  tar tf $file | grep -E '.(alaw|g722|g729|gsm|ulaw|wav)$' | grep -v ^invalid\\. | grep -v ^conf-thereare\\. | sed -e 's!^!%{sounds_dir}/!' > `basename $file .tar.gz`.list
  tar xCf %{buildroot}%{sounds_dir} $file
done
rm -f %{buildroot}%{sounds_dir}/invalid.*
rm -f %{buildroot}%{sounds_dir}/conf-thereare.*

%clean
rm -rf %{buildroot}

%files en
%defattr(0744,root,root,0755)
%dir %{sounds_dir}/ha/
%dir %{sounds_dir}/wx/
%{sounds_dir}/extra-sounds-en.txt

%files en-alaw -f asterisk-extra-sounds-en-alaw-%{version}.list
%defattr(-,root,root,-)
%doc asterisk-extra-sounds-en-alaw-%{version}.list

%files en-g722 -f asterisk-extra-sounds-en-g722-%{version}.list
%defattr(-,root,root,-)
%doc asterisk-extra-sounds-en-g722-%{version}.list

%files en-g729 -f asterisk-extra-sounds-en-g729-%{version}.list
%defattr(-,root,root,-)
%doc asterisk-extra-sounds-en-g729-%{version}.list

%files en-gsm -f asterisk-extra-sounds-en-gsm-%{version}.list
%defattr(-,root,root,-)
%doc asterisk-extra-sounds-en-gsm-%{version}.list

%files en-ulaw -f asterisk-extra-sounds-en-ulaw-%{version}.list
%defattr(-,root,root,-)
%doc asterisk-extra-sounds-en-ulaw-%{version}.list

%files en-wav -f asterisk-extra-sounds-en-wav-%{version}.list
%defattr(-,root,root,-)
%doc asterisk-extra-sounds-en-wav-%{version}.list

%changelog
* Sun Jul  1 2007 Jeffrey C. Ollie <jeff@ocjtech.us> - 1.4.6-2
- Delete a couple of files that conflict with the main sounds.
- Force sane permissions.

* Tue Jun 19 2007 Jeffrey C. Ollie <jeff@ocjtech.us> - 1.4.6-1
- Update to 1.4.6

* Tue Mar  6 2007 Jeffrey C. Ollie <jeff@ocjtech.us> - 1.4.5-1
- First version for Fedora Extras
